package com.rjconsultores.ventaboletos.dao;

import com.rjconsultores.ventaboletos.entidad.SeguroTarifa;
import com.rjconsultores.ventaboletos.entidad.VigenciaTarifa;
import com.rjconsultores.ventaboletos.service.SeguroKmService;
import com.rjconsultores.ventaboletos.service.TarifaOficialService;


public interface TarifaOficialDAO {
	/**
	 * See {@link TarifaOficialService#gerarTarifaPorCoeficiente(Integer)}
	 * @param ruta
	 * @param usuarioId TODO
	 * @param orgaoConcedenteId TODO
	 * @return TODO
	 */
	public Integer gerarTarifaPorCoeficiente(Integer ruta, Integer usuarioId, Integer orgaoConcedenteId);
	
	/**
	 * See {@link TarifaOficialService#atualizarTarifaPorCoeficiente(Integer)}
	 * @param rutaId
	 * @param usuarioId TODO
	 * @param orgaoConcedenteId TODO
	 * @return TODO
	 */
	public Integer atualizarTarifaCoeficiente(Integer rutaId, Integer usuarioId, Integer orgaoConcedenteId);
	
	/**
	 * See {@link TarifaOficialService#copiarParaTarifa(VigenciaTarifa)}
	 * @param vigenciaTarifa
	 * @param usuarioId TODO
	 */
	public void copiarParaTarifa(VigenciaTarifa vigenciaTarifa, Integer usuarioId);
	
	/**
	 * See {@link TarifaOficialService#atualizarTaxaEmbarque(Integer, Integer)}
	 * @param rutaId
	 * @param usuarioId TODO
	 * @param orgaoConcedenteId TODO
	 */
	public void atualizarTaxaEmbarque(Integer rutaId, Integer usuarioId, Integer orgaoConcedenteId);
	
	/**
	 * See {@link TarifaOficialService#atualizarSeguroPorKm(Integer, Integer, Integer)}
	 * @param rutaId
	 * @param orgaoId
	 * @param usuarioId
	 */
	public void atualizarSeguroPorKm(Integer rutaId,Integer orgaoId,Integer usuarioId) ;
	
	/**
	 * See {@link TarifaOficialService#atualizarSeguroPorTarifa(Integer, Integer, Integer)}
	 * @param rutaId
	 * @param orgaoId
	 * @param usuarioId
	 */
	public void atualizarSeguroPorTarifa(Integer rutaId, Integer orgaoId,Integer usuarioId); 
}
